{% block content %}
<style type="text/css">
	.profile-image{
		height: 200px;
		width: 200px;
	}
	.profile-image{
		border-radius: 12px;
	}
	.profile-link{
		color: #5865F2;
		text-decoration: none;
	}
	.quad-image{
		max-height: 50px;
		max-width: 50px;
	}
	.quad-image{
		border-radius: 10px;
	}
	.card-container{
		border: 1px solid #cccccc;
		border-radius: 12px;
		margin: 10px;
		flex-wrap: wrap;
	}
	.card{
		border-radius: 12px;
	}
	.card-stack {
	  display: grid;
	  position: relative; // imperative for the overlapping to work
	  grid-template-columns: repeat(12, 1fr);
	}
	.card-stack_img {
	  grid-column: 1 / span 1;
	  grid-row: 1;
	}
	.card-stack_text {
	  grid-row: 1;
	  grid-column: 2 / span 10;
	}
	.card-stack_attr {
	  grid-row: 1;
	  grid-column: 11 / span 1;
	  font-size: 25px
	}
	.card-stack_text_alt {
	  grid-row: 2;
	  grid-column: 1 / span 10;
	}
	.card-stack_attr_alt {
	  grid-row: 1;
	  grid-column: 2 / span 1;
	  font-size: 25px
	}
</style>
{% csrf_token %}
<div class="container">
	<div class="card">
		{% if accounts %}
			{% for account in accounts %}
				<div class="card-stack card-container">
					<a class="profile-link" href="{{account.url_loc}}">
						<img class="card-stack_img profile-image" src="{{account.avatar}}" alt="">
					</a>
					<div class="card-stack_text">
						{% if account.uhand == "emojified" %}
						<a href="{{account.url_loc}}" title="FF Profile"><h4 class="card-title">{{account.username}}</h4></a>
						{% else %}
						<a href="{{account.url_loc}}" title="FF Profile"><h4 class="card-title">{{account.uhand}}</h4></a>
						{% endif %}
						<a class="profile-link" title="Instance Profile" href="{{account.url_src}}">
							{{account.email}}  <a title="Copy" href="#Copied_@{{account.email}}" onclick="CopyToClipBoard('@{{account.email}}')">&#128203;</a>
						</a>
						<p>
							{% if account.weight == 1234567 %}
								{{account.report}}{{account.xyz}}
							{% endif %}
						</p>
						<p>
							{% if account == request.user %}
								^^This is you^^
							{% endif %}
						</p>
					</div>
					<div class="card-stack_attr">
						<p>
							{% if account.seek == 1 %}
							    <div title="Social only">&#128075</div>
							{% elif account.seek == 2 %}
								<div title="Romantic only">&#10084</div>
							{% else %}
								<div title="Social & Romantic">&#128075 & &#10084</div>
							{% endif %}
						<br/>
							{% if account.sex == 1 %}
								{% if account.orient == 2%}
									<div title="Gay Male">&#9891</div>
								{% else %}
									<div title="Straight Male">&#9794 : &#9892</div>
								{% endif %}
							{% elif account.sex == 2 %}
								{% if account.orient == 2%}
									<div title="Lesbian Female">&#9890</div>
								{% else %}
									<div title="Straight Female">&#9792 : &#9892</div>
								{% endif %}
							{% elif account.sex > 2 %}
								<div title="Trans or Non-binary">&#9893</div>
							{% endif %}
						<br/>
							{% if account.rel_stat == 1 %}
								<div title="Single">&#129496</div>
							{% elif account.rel_stat == 2 %}
								<div title="In a relationship">&#128145</div>
							{% elif account.rel_stat == 3 %}
								<div title="Married">&#128141</div>
							{% elif account.rel_stat == 4 %}
								<div title="Divorced">&#128148</div>
							{% elif account.rel_stat == 5 %}
						        <div title="Waiting for a miracle">&#128591</div>
							{% endif %}
						<br/>
							{% if account.pol_soc > 0 and account.pol_eco > 0 %}
								<img class="quad-image" title="Authoritarian Right" src="https://www.politicalcompass.org/images/minicomAR.gif" alt="Authoritarian Right">
							{% elif account.pol_soc > 0 and account.pol_eco < 0 %}
								<img class="quad-image" title="Authoritarian Left" src="https://www.politicalcompass.org/images/minicomAL.gif" alt="Authoritarian Left">
							{% elif account.pol_soc < 0 and account.pol_eco > 0 %}
								<img class="quad-image" title="Libertarian Right" src="https://www.politicalcompass.org/images/minicomLR.gif" alt="Libertarian Right">
							{% elif account.pol_soc < 0 and account.pol_eco < 0 %}
								<img class="quad-image" title="Libertarian Left" src="https://www.politicalcompass.org/images/minicomLL.gif" alt="Libertarian Left">
							{% endif %}
						</p>
					</div>
				</div>
			{% endfor %}
		{% else %} <!-- If no friends -->
			<p>There are no results to display :(</p>
			<p>Try changing your search criteria or profile settings</p>
		{% endif %}
	</div>
</div>


<script type="text/javascript">
    var w = screen.availWidth;
	var h = screen.availHeight;
	if (w < h) {
	  var a = document.querySelectorAll(".card-stack_text");
	  for (let i = 0; i < a.length; i++) {
	    a[i].className = "card-stack_text_alt";
	  }
	  var b = document.querySelectorAll(".card-stack_attr");
	  for (let i = 0; i < b.length; i++) {
	    b[i].className = "card-stack_attr_alt";
	  }
	}

    function CopyToClipBoard(content){
        navigator.clipboard.writeText(content)
            .then(() => {
            console.log("Text copied to clipboard...")
        })
            .catch(err => {
            console.log('Something went wrong', err);
        })
    }
</script>
{% endblock content %}